#!/bin/bash

cddir=$(dirname $0)

weiter() {
  echo -n "[ Weiter = ENTER , Stop = STRC-C ] " ; read egal ; echo ; echo
}

echo "Entpacke Kernel, bitte Geduld ... "
tar -xjf $cddir/kernel/linux-2.6.15.7.tar.bz2  -C /usr/src/
weiter


echo "Entpacke RTAI ... "
tar -xjf $cddir/rtai/rtai-3.3.tar.bz2  -C /root/
weiter


echo "Patche Kernel mit RTAI-HAL ... "
cd /usr/src/linux
patch -p1 </root/rtai-3.3/base/arch/i386/patches/hal-linux-2.6.15-i386-1.2-00.patch
weiter

echo "Kopiere alte Kernel-Konfiguration ... "
cp $cddir/kernel/config /usr/src/linux-2.6.15.7/.config
weiter


echo "Erstelle Kernel-Symlink ... "
[ -L /usr/src/linux ] && rm /usr/src/linux
ln -s /usr/src/linux-2.6.15.7  /usr/src/linux
weiter


echo "Konfiguriere Kernel ... "
cd /usr/src/linux
make oldconfig
make menuconfig
weiter


echo "Compiliere Kernel, bitte Geduld ... "
make && make install && make modules_install
weiter


echo "Bootloader anpassen ... "
echo '
  title   RTAI-Kernel-2.6.15.7
  root    (hd0,0)
  kernel  /boot/vmlinuz-2.6.15.7  root=/dev/hda1 ro
' >> /boot/grub/menu.lst
weiter


echo "Konfiguriere RTAI (non-interaktiv) ... "
cd /root/rtai-3.3
./configure
weiter


echo "Compiliere RTAI, bitte Geduld ... "
cd /root/rtai-3.3
make && make install
weiter


echo "PC muss neu gebootet werden wenn alles erfolgreich verlief."
echo "Bitte nicht vergessen den neuen Eintrag im Bootloader auch auszuwaehlen."


