
#include <stdio.h>
#include <stdlib.h>
#include <asm/io.h>
#include <termios.h>
#include <time.h>

#define BASEPORT 0x378


int
main (int argc, char **argv)
{

  // 3 Bytes des IO-Port zur Verwendung freigeben
  if (ioperm (BASEPORT, 3, 1))
    {
      perror ("ioperm open error");
      exit (1);
    }

  // Ausgabe-Modus & Interupt im ParPort aktivieren
  outb (0x10, BASEPORT + 2);

  while (1)
    {

      // Daten-Pins setzen
      outb (255, BASEPORT);

      usleep (1000);

      // Daten-Pins zuruecksetzen
      outb (0, BASEPORT);

      usleep (1000);
    }

  // 3 Bytes des IO-Port wieder sperren
  if (ioperm (BASEPORT, 3, 0))
    {
      perror ("ioperm close error");
    }

  exit (0);
}
