
#include <stdio.h>
#include <asm/io.h>

#define BASEPORT 0x378

int main (int argc, char **argv) {

	// 3 Bytes des IO-Port zur Verwendung freigeben
	if (ioperm (BASEPORT, 3, 1)) { perror ("ioperm open error"); exit (1); }

	// Ausgabe-Modus & Interupt im ParPort aktivieren
	outb (0x10, BASEPORT + 2);

		// Daten-Pins setzen / zuruecksetzen
		outb (0,  BASEPORT);
		outb (255,BASEPORT);
		outb (0,  BASEPORT);

  // 3 Bytes des IO-Port wieder sperren
  if (ioperm (BASEPORT, 3, 0)) { perror ("ioperm close error"); }

  exit (0);
}
